echo off

    echo.
    echo *******************************************************************************
    echo *                                                                             *
    echo *                          ! DELETE !                                         *
    echo *                                                                             *
    echo *******************************************************************************

del *.map
del *.err

cd ..\
cd ..\
			REM ** OBJ VERZEICHNIS **
cd obj_dir
del *.obj
del *.src
cd ..\

			REM ** FIRMWARE VERZEICHNIS **
cd firmware 
del dclrflsh.bin
del dwrflsh.bin
del dfw0.bin
del dfw1.bin
del dfw2.bin
del dfw.bin
del dfw.abs
del dfw.lno
del dfw.out
del dfw.o
del dfw.sym
del dfw.hex
cd hitop
del dfw.abs
del dfw.htc
del dfw.htx
del dfw.mdf
del dfw.sym
cd ..\..\

    echo.
    echo *******************************************************************************
    echo *                                                                             *
    echo *                          ! COPY !                                           *
    echo *                                                                             *
    echo *******************************************************************************

cd bat_dir
cd CUSTC165

copy platform.h ..\..\src_dir\dp_inc
copy ..\..\src_dir\usr_demo\DPV0AFFE\dp_cfg.h ..\..\src_dir\dp_inc

    echo.
    echo *******************************************************************************
    echo *                                                                             *
    echo *                          ! GENERATING USER SAMPLE !                         *
    echo *                                                                             *
    echo *******************************************************************************


REM *** COMPILE PROGRAMS ***

rem -c        -csize: specify maximum user stack space for CSE results (per function) 
rem -s        Merge C source code with generated assembly code in output file
rem -AF       32 bit arithmetic is used for far pointer comparison
rem -e        no output file if compiler error occurs
rem -err      send diagnostics to file named *.err
rem -w68      suppress warning number 68
rem -x        allow all features of C167 processor
rem -Ml       large memory model
rem -gf       add special information for debugging
rem -OO       Optimization: disable code order rearranging in flow optimization [off]
rem -D_DEBUG  dem Schalter _DEBUG wird vom Prprozessor der Wert 1 zugewiesen
echo on

c166 -c -s -AF -e -err -w68 -x -Ml -gf -OO -D_DEBUG R:\PLATFORM\CUSTC165\main.c     -o S:\main.src

c166 -c -s -AF -e -err -w68 -x -Ml -gf -OO -D_DEBUG R:\USR_DEMO\DPV0AFFE\dp_user.c  -o S:\dp_user.src
c166 -c -s -AF -e -err -w68 -x -Ml -gf -OO -D_DEBUG R:\USR_DEMO\DPV0AFFE\dp_debug.c -o S:\dp_debug.src

c166 -c -s -AF -e -err -w68 -x -Ml -gf -OO -D_DEBUG R:\DPV0_DRV\dp_if.c   	        -o S:\dp_if.src
c166 -c -s -AF -e -err -w68 -x -Ml -gf -OO -D_DEBUG R:\DPV0_DRV\dp_isr.c   	        -o S:\dp_isr.src

REM *** ASSEMBLE PROGRAMS ***

REM cstart:
m166 R:\PLATFORM\CUSTC165\cstart.asm  DEFINE(MODEL,LARGE) DEFINE(C167,1)  TO S:\cstart.src

a166 S:\cstart.src    OBJECT(S:\cstart.obj)    DEBUG NOPRINT EXTEND HEADER CASE SEGMENTED MODEL(LARGE)
a166 S:\main.src      OBJECT(S:\main.obj)      DEBUG NOPRINT EXTEND HEADER CASE SEGMENTED MODEL(LARGE)
                                               
a166 S:\dp_user.src   OBJECT(S:\dp_user.obj)   DEBUG NOPRINT EXTEND HEADER CASE SEGMENTED MODEL(LARGE)
a166 S:\dp_debug.src  OBJECT(S:\dp_debug.obj)  DEBUG NOPRINT EXTEND HEADER CASE SEGMENTED MODEL(LARGE)
                                               
a166 S:\dp_if.src     OBJECT(S:\dp_if.obj)     DEBUG NOPRINT EXTEND HEADER CASE SEGMENTED MODEL(LARGE)
a166 S:\dp_isr.src    OBJECT(S:\dp_isr.obj)    DEBUG NOPRINT EXTEND HEADER CASE SEGMENTED MODEL(LARGE)
                                               
REM *** LINK ALL OBJECTS ***
l166 @dfw.ili


REM *** LOCATE PROGRAM ***
l166 @dfw.ilo


REM *** CONVERT TO HEX FILE ***
ihex166 ..\..\firmware\dfw.out ..\..\firmware\dfw.hex

REM *** CONVERT FIRMWARE TO 512K INTEL BIN FILE ***
hex2bin ..\..\firmware\dfw.hex ..\..\firmware\dfw0.bin /A:000000 /S:512

REM *** CUT FIRMWARE TO OPTIMAL SIZE ***
cutbin ..\..\firmware\dfw0.bin ..\..\firmware\dfw.bin  

REM *** CONVERT TO ABSOLUTE FILE ***
ieee166 ..\..\firmware\dfw.out ..\..\firmware\hitop\dfw.abs

REM *** create files for HITOP ****
sp166ta ..\..\firmware\hitop\dfw.abs -W1 -@commands
move dfw.htc ..\firmware\hitop
move dfw.htx ..\firmware\hitop
move dfw.mdf ..\firmware\hitop
move dfw.sym ..\firmware\hitop
