/************************  Filename: platform.h  *****************************/
/* ========================================================================= */
/*                                                                           */
/* 0000  000   000  00000 0  000  0   0 0 0000                               */
/* 0   0 0  0 0   0 0     0 0   0 0   0 0 0   0                              */
/* 0   0 0  0 0   0 0     0 0     0   0 0 0   0      Einsteinstrae 6        */
/* 0000  000  0   0 000   0 0     00000 0 0000       91074 Herzogenaurach    */
/* 0     00   0   0 0     0 0     0   0 0 0                                  */
/* 0     0 0  0   0 0     0 0   0 0   0 0 0          Tel: ++49-9132-744-200  */
/* 0     0  0  000  0     0  000  0   0 0 0    GmbH  Fax: ++49-9132-744-204  */
/*                                                                           */
/* ========================================================================= */
/*                                                                           */
/* Description: User defines ( microcontroller, data types, ... ).           */
/*                                                                           */
/* ------------------------------------------------------------------------- */
/*                                                                           */
/* Technical support:       P. Fredehorst                                    */
/*                          Tel. : ++49-9132/744-214                         */
/*                          Fax. :              -204                         */
/*                          eMail: pfredehorst@profichip.com                 */
/*                          		   support@profichip.com                 */
/*                                                                           */
/*****************************************************************************/


/*****************************************************************************/
/* contents:

    - header include hierarchy for system environment

*/
/*****************************************************************************/
/* reinclude protection */


#ifndef PLATFORM_H
#define PLATFORM_H


/*****************************************************************************/
/* header include hierarchy for system environment */

/*---------------------------------------------------------------------------*/
/* COMPILER                                                                  */
/*---------------------------------------------------------------------------*/
#define _TASK_C166

/*---------------------------------------------------------------------------*/
/* Hardwareplatform                                                          */
/*---------------------------------------------------------------------------*/
#undef EvaBoard_AT89C5132
#undef EvaBoard_FPGAC165

/*---------------------------------------------------------------------------*/
/* include hierarchy, data types                                             */
/*---------------------------------------------------------------------------*/

//#define AT89C5132_MODE_X2
#undef AT89C5132_MODE_X2

//#define RS232_SERIO
#undef RS232_SERIO

//#define LCD
#undef LCD

// sign the byte order of a word in your device
// possible: LITTLE_ENDIAN   lower address  - high byte
//                           higher address - low byte
//           BIG_ENDIAN      lower address  - low byte
//                           higher address - high byte

#undef LITTLE_ENDIAN
#define  BIG_ENDIAN

#include <reg165.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define TRUE                    1
#define FALSE                   !(TRUE)

#define UBYTE                   unsigned char
#define UWORD                   unsigned int
#define BOOL                    unsigned char
#define ULONG                   unsigned long

#define PTR_ATTR                 far
#define VPC3_PTR                 PTR_ATTR *
#define VPC3_ADR                 ULONG
#define VPC3_UNSIGNED8_PTR       UBYTE PTR_ATTR *
#define NULL_PTR 				(void VPC3_PTR)0

#define ROMCONST__ 				const
#define NOP__    				_nop

#include "dp_cfg.h"            				// default configuration
#include "..\dpv0_drv\dpl_list.h"           // double pointered list, makros
#include "..\dpv0_drv\dp_if.h"             	// dp structure, makros
#include "..\usr_demo\DPV0AFFE\dp_debug.h"

/*---------------------------------------------------------------------------*/
/* hardware settings                                                         */
/*---------------------------------------------------------------------------*/
/*------------------------------------------------------------------------*/
/* VPC3 reset settings                                                    */
/*------------------------------------------------------------------------*/
#define VPC3_RESET__         		
#define VPC3_CLEAR_RESET__			

/*------------------------------------------------------------------------*/
/* MPI12x interrupt settings                                              */
/*------------------------------------------------------------------------*/
#define ENABLE_VPC3_INT__				CC11IC |= 0x0040;
#define DISABLE_VPC3_INT__    	    
#define SET_FALLING_EDGE__   	    
#define SET_HIGH_PRIORITY__
                                	
#define DISABLE_ALL_INTERRUPT_BIT__     IEN = 0
#define ENABLE_ALL_INTERRUPT_BIT__      IEN = 1

/*------------------------------------------------------------------------*/
/* LEDs					                                                  */
/*------------------------------------------------------------------------*/
#define TOGGLE_LED_RED__    		
#define CLR_LED_RED__       		
#define SET_LED_RED__       		
                                	
#define TOGGLE_LED_YLW__    		
#define CLR_LED_YLW__       		
#define SET_LED_YLW__       		

/*------------------------------------------------------------------------*/
/* LWL interface macro                                                    */
/*------------------------------------------------------------------------*/
#define DISABLE_LWL_INTERFACE_B__ 	
#define ENABLE_LWL_INTERFACE_B__  	
#define SET_DIR_AB__              	
#define SET_DIR_BA__              	

/*------------------------------------------------------------------------*/
/* XRAM area                                                              */
/*------------------------------------------------------------------------*/
#define VPC3_ASIC_ADDRESS         0x500000uL

/*****************************************************************************/
/* reinclude-protection */


#else
    #pragma message "The header PLATFORM.H is included twice or more !"
#endif


/*****************************************************************************/
/*  Copyright (C) profichip GmbH 2005. Confidential.                         */
/*****************************************************************************/