
CC          =   c51
AS          =   a51
LI          =   bl51
IHEX        =   oh51
HIT         =   sp8051ke

PROJ     = DPV0AFFE

CFLAGS   = CODE DEBUG OBJECTEXTEND LARGE
AFLAGS   = debug
LIFLAGS  = ramsize(256) code(0000H) xdata(0000H) nooverlay
SYFLAGS  = -w1
HITFLAGS = -v

ABS_PATH    =   W:\Programmierung\BXxxxxxx_Firmware\Bx007xxx\Bx0070xx\Bx00705x\Bx007050\Vvvv\source
ABS_PATH    =   W:\Programmierung\BXxxxxxx_Firmware\Bx007xxx\Bx007049\Vvvv\source
PATH_C      =   ..\..\SRC_DIR
PATH_AT89   =   ..\..\SRC_DIR\PLATFORM\AT89C51
PATH_DPDRV  =   ..\..\SRC_DIR\DPV0_DRV
PATH_DEMO   =   ..\..\SRC_DIR\USR_DEMO\DPV0AFFE
PATH_INC    =   ..\..\SRC_DIR\DP_INC
PATH_OBJ    =   ..\..\OBJ_DIR
PATH_OUT    =   ..\..\OBJ_DIR
PATH_LST    =   ..\..\LST_DIR
PATH_FW    =    ..\..\FIRMWARE

.SUFFIXES:
.SUFFIXES:  .C .ASM .OBJ .ABS .HTX .SYM .HEX

all: hex htx

hex: $(PATH_OUT)\$(PROJ).HEX

htx: $(PATH_OUT)\$(PROJ).HTX

OBJS            =   $(PATH_OUT)\STARTUP.OBJ   \
                    $(PATH_OUT)\MAIN.OBJ      \
                    $(PATH_OUT)\DP_USER.OBJ   \
                    $(PATH_OUT)\DP_IF.OBJ     \
                    $(PATH_OUT)\DP_ISR.OBJ    \
                    $(PATH_OUT)\DP_DEBUG.OBJ  \
                    $(PATH_OUT)\LCD.OBJ    	  \
                    $(PATH_OUT)\SERIO.OBJ

DEPS_DP        =   $(PATH_INC)\DP_INC.H

$(PATH_OBJ)\STARTUP.OBJ:  $(PATH_AT89)\STARTUP.ASM
$(PATH_OBJ)\MAIN.OBJ:     $(PATH_AT89)\MAIN.C       $(DEPS_DP)
$(PATH_OBJ)\DP_USER.OBJ:  $(PATH_DEMO)\DP_USER.C    $(DEPS_DP)
$(PATH_OBJ)\DP_DEBUG.OBJ: $(PATH_DEMO)\DP_DEBUG.C   $(DEPS_DP)
$(PATH_OBJ)\DP_IF.OBJ:    $(PATH_DPDRV)\DP_IF.C     $(DEPS_DP)
$(PATH_OBJ)\DP_ISR.OBJ:   $(PATH_DPDRV)\DP_ISR.C    $(DEPS_DP)
$(PATH_OBJ)\LCD.OBJ:      $(PATH_AT89)\LCD.C        $(DEPS_DP)
$(PATH_OBJ)\SERIO.OBJ:    $(PATH_AT89)\SERIO.C      $(DEPS_DP)


$(PATH_OUT)\$(PROJ).HEX:        $(PATH_OUT)\$(PROJ).ABS
    @$(IHEX) $(PATH_OUT)\$(PROJ).ABS HEXFILE($@)

$(PATH_OUT)\$(PROJ).HTX:      $(PATH_OUT)\$(PROJ).ABS
    @$(HIT)  $(PATH_OUT)\$(PROJ).ABS $(HITFLAGS) @<<
             -S$(ABS_PATH)\SRC
<<keep



$(PATH_OUT)\$(PROJ).ABS:        $(OBJS)
        $(LI) @<<
        $(PATH_OUT)\STARTUP.OBJ,
        $(PATH_OUT)\MAIN.OBJ,
        $(PATH_OUT)\DP_USER.OBJ,
        $(PATH_OUT)\DP_IF.OBJ,
        $(PATH_OUT)\DP_DEBUG.OBJ,
        $(PATH_OUT)\DP_ISR.OBJ,
        $(PATH_OUT)\LCD.OBJ,
        $(PATH_OUT)\SERIO.OBJ
        TO $@
        $(LIFLAGS)
<<





{$(PATH_AT89)}.C{$(PATH_OBJ)}.OBJ:
    @ECHO ------------------------------------------------------------------ $(*B).C
    @ECHO.
    @-1     $(CC) @<<
    $<  $(CFLAGS) oj($@) pr($(PATH_LST)\$(*B).lst)
<<
    @ECHO.

{$(PATH_DPDRV)}.C{$(PATH_OBJ)}.OBJ:
    @ECHO ------------------------------------------------------------------ $(*B).C
    @ECHO.
    @-1     $(CC) @<<
    $<  $(CFLAGS) oj($@) pr($(PATH_LST)\$(*B).lst)
<<
    @ECHO.

{$(PATH_DEMO)}.C{$(PATH_OBJ)}.OBJ:
    @ECHO ------------------------------------------------------------------ $(*B).C
    @ECHO.
    @-1     $(CC) @<<
    $<  $(CFLAGS) oj($@) pr($(PATH_LST)\$(*B).lst)
<<
    @ECHO.

{$(PATH_AT89)}.ASM{$(PATH_OBJ)}.OBJ:
    @ECHO ------------------------------------------------------------------ $(*B).SRC
    @ECHO.
    @-1     $(AS) $<  $(AFLAGS) oj($@) pr($(PATH_LST)\$(*B).lst)
    @ECHO.



