/*************************  Filename: lcd.h  *********************************/
/* ========================================================================= */
/*                                                                           */
/* 0000  000   000  00000 0  000  0   0 0 0000                               */
/* 0   0 0  0 0   0 0     0 0   0 0   0 0 0   0                              */
/* 0   0 0  0 0   0 0     0 0     0   0 0 0   0      Einsteinstrae 6        */
/* 0000  000  0   0 000   0 0     00000 0 0000       91074 Herzogenaurach    */
/* 0     00   0   0 0     0 0     0   0 0 0                                  */
/* 0     0 0  0   0 0     0 0   0 0   0 0 0          Tel: ++49-9132-744-200  */
/* 0     0  0  000  0     0  000  0   0 0 0    GmbH  Fax: ++49-9132-744-204  */
/*                                                                           */
/* ========================================================================= */
/*                                                                           */
/* Description: defines for lcd                                              */
/*                                                                           */
/* ------------------------------------------------------------------------- */
/*                                                                           */
/* Technical support:       P. Fredehorst                                    */
/*                          Tel. : ++49-9132/744-214                         */
/*                          Fax. :              -204                         */
/*                          eMail: pfredehorst@profichip.com                 */
/*                                                                           */
/*****************************************************************************/


/*****************************************************************************/
/* contents:

    - external modules
    - global variables

*/
/*****************************************************************************/
/* reinclude protection */


#ifndef LCD_H
#define LCD_H


/*---------------------------------------------------------------------------*/
/* global data definitions                                                   */
/*---------------------------------------------------------------------------*/
#define DISPLAY_NUMBER_OF_CHARACTERS	((UBYTE)0x14)
#define DISPLAY_NUMBER_OF_LINES			((UBYTE)0x02)

#define	LCD_BUSY_FLAG					((UBYTE)0x80)

typedef struct
{
    union
    {
        struct
        {                           //          [read]
            UBYTE reserved0;        // 000H     reserved
            UBYTE reserved1;      	// 001H     reserved
            UBYTE bBusy;       		// 002H     Busy Flag
            UBYTE bDR;              // 003H     Data Register
        } rd;

        struct
        {                           //          [read]
            UBYTE bIR;       		// 000H     Instruction Register
            UBYTE bDR;    			// 001H     Data Register
            UBYTE reserved3;        // 002H     reserved
            UBYTE reserved4;      	// 003H     reserved
        } wr;
   }ctrl;
}sLCD;


/*---------------------------------------------------------------------------*/
/* global macros                                                             */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* data definitions                                                          */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* global function prototypes                                                */
/*---------------------------------------------------------------------------*/
extern UBYTE 	LCDInitDisplay		( void );
extern void 	LCDUpdateProfichip	( void );
extern void 	LCDUpdateMPI		( UBYTE bMainInterface, UBYTE bFunction, UBYTE bBugfix );
extern UBYTE 	LCDUpdateDisplay	( void );
extern void 	LCDUpdateTime		( UBYTE bAddress, UBYTE bHour, UBYTE bMinute );

/*****************************************************************************/
/* reinclude-protection */


#else
    #pragma message "The header LCD.h is included twice or more !"
#endif


/*****************************************************************************/
/*  Copyright (C) profichip GmbH 2004. Confidential.                         */
/*****************************************************************************/
