/*************************  Filename: serio.h  *******************************/
/* ========================================================================= */
/*                                                                           */
/* 0000  000   000  00000 0  000  0   0 0 0000                               */
/* 0   0 0  0 0   0 0     0 0   0 0   0 0 0   0                              */
/* 0   0 0  0 0   0 0     0 0     0   0 0 0   0      Einsteinstrae 6        */
/* 0000  000  0   0 000   0 0     00000 0 0000       91074 Herzogenaurach    */
/* 0     00   0   0 0     0 0     0   0 0 0                                  */
/* 0     0 0  0   0 0     0 0   0 0   0 0 0          Tel: ++49-9132-744-200  */
/* 0     0  0  000  0     0  000  0   0 0 0    GmbH  Fax: ++49-9132-744-204  */
/*                                                                           */
/* ========================================================================= */
/*                                                                           */
/* Description: defines for serial port                                      */
/*                                                                           */
/* ------------------------------------------------------------------------- */
/*                                                                           */
/* Technical support:       P. Fredehorst                                    */
/*                          Tel. : ++49-9132/744-214                         */
/*                          Fax. :              -204                         */
/*                          eMail: pfredehorst@profichip.com                 */
/*                                                                           */
/*****************************************************************************/


/*****************************************************************************/
/* contents:

    - external modules
    - global variables

*/
/*****************************************************************************/
/* reinclude protection */


#ifndef DP_SERIO_H
#define DP_SERIO_H

#define init_serio( _baudrate )     init_serio__(_baudrate)
#define print_hexbyte( _b )         print_hexbyte__(_b)
#define print_hexword( _w )         print_hexword__(_w)
#define print_hexlong( _dw )        print_hexlong__(_dw)
#define print_string( _p )          print_string__(_p)

/*---------------------------------------------------------------------------*/
/* global data definitions                                                   */
/*---------------------------------------------------------------------------*/
extern xdata UBYTE snd_buff [] ;        // for RS232 sending
extern xdata UBYTE rec_buff [] ;        // for RS232 receiving

extern data  UBYTE write_rec_ptr;       // Writepointer into receive buffer
extern data  UBYTE read_rec_ptr;        // Readpointer  from receive buffer
extern data  UBYTE rec_counter;         // Counter of byte in receive buffer
extern data  UBYTE write_snd_ptr;       // Writepointer into send buffer
extern data  UBYTE read_snd_ptr;        // Readpointer  from send buffer
extern data  UBYTE snd_counter;         // Counter of byte in send buffer

extern bit   parity;                    // Save parity bit received
extern bit   thr_empty;                 // Transmitter reg. empty


/*---------------------------------------------------------------------------*/
/* global macros                                                             */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* data definitions                                                          */
/*---------------------------------------------------------------------------*/
// defines for serial_state
#define ON      1
#define OFF     !(ON)

/*---------------------------------------------------------------------------*/
/* global function prototypes                                                */
/*---------------------------------------------------------------------------*/

extern void print_hexbyte__ ( UBYTE b );
extern void print_hexword__ ( UWORD w );
extern void print_hexlong__ ( ULONG dw );
extern void init_serio__    ( UWORD baudrate);
extern void print_string__  ( char *p );


/*****************************************************************************/
/* reinclude-protection */


#else
    #pragma message "The header serio.h is included twice or more !"
#endif


/*****************************************************************************/
/*  Copyright (C) profichip GmbH 2004. Confidential.                         */
/*****************************************************************************/
